## nusoap_wsdlcache

Description

caches instances of the wsdl class

- access: public
- version: $Id: class.wsdlcache.php,v 1.7 2007/04/17 16:34:03 snichol Exp $
- author: Scott Nichol <snichol@users.sourceforge.net>
- author: Ingo Fischer <ingo@apollon.de>

Located in /class.wsdlcache.php (line 18)

Direct descendents

Class | Description
--- | ---
wsdlcache | For backward compatibility

Variable Summary
string $cache_dir
integer $cache_lifetime
string $debug_str
resource $fplock
Method Summary
nusoap_wsdlcache nusoap_wsdlcache ([string $cache_dir = '.'], integer $cache_lifetime)
string createFilename (string $wsdl)
void debug (string $string)
object wsdl get (string $wsdl)
boolean obtainMutex (string $filename, string $mode)
boolean put (object wsdl $wsdl_instance)
boolean releaseMutex (string $filename)
boolean remove (string $wsdl)
Variables
string $cache_dir (line 33)

- access: private

integer $cache_lifetime (line 28)

- access: private

string $debug_str = '' (line 38)

- access: public

resource $fplock (line 23)

- access: private

Methods
Constructor nusoap_wsdlcache (line 47)

constructor

- access: public

nusoap_wsdlcache nusoap_wsdlcache ([string $cache_dir = '.'], integer $cache_lifetime)

- string $cache_dir: directory for cache-files
- integer $cache_lifetime: lifetime for caching-files in seconds or 0 for unlimited

createFilename (line 60)

creates the filename used to cache a wsdl instance

- return: The filename used to cache the instance
- access: private

string createFilename (string $wsdl)

- string $wsdl: The URL of the wsdl instance

debug (line 70)

adds debug data to the class level debug string

- access: private

void debug (string $string)

- string $string: debug data

get (line 81)

gets a wsdl instance from the cache

- return: The cached wsdl instance, null if the instance is not in the cache
- access: public

object wsdl get (string $wsdl)

- string $wsdl: The URL of the wsdl instance

obtainMutex (line 124)

obtains the local mutex

- return: Lock successfully obtained ?!
- access: private

boolean obtainMutex (string $filename, string $mode)

- string $filename: The Filename of the Cache to lock
- string $mode: The open-mode ("r" or "w") or the file - affects lock-mode

put (line 144)

adds a wsdl instance to the cache

- return: WSDL successfully cached
- access: public

boolean put (object wsdl $wsdl_instance)

- object wsdl $wsdl_instance: The wsdl instance to add

releaseMutex (line 172)

releases the local mutex

- return: Lock successfully released
- access: private

boolean releaseMutex (string $filename)

- string $filename: The Filename of the Cache to lock

remove (line 189)

removes a wsdl instance from the cache

- return: Whether there was an instance to remove
- access: public

boolean remove (string $wsdl)

- string $wsdl: The URL of the wsdl instance

Documentation generated on Mon, 26 Apr 2010 16:16:49 -0400 by phpDocumentor 1.3.0RC3